Bug 89170 - Strikethrough in single words not visible in calc when you open an XLSX File.
Summary: Strikethrough in single words not visible in calc when you open an XLSX File.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.5.0 target:4.4.3
Keywords: bibisected, bisected, regression
: 89171 89172 94825 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-02-06 13:13 UTC by Hannesh Holzer
Modified: 2015-12-17 08:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison XLSX vs. ODS when opening from XLSX (144.49 KB, image/png)
2015-02-06 13:13 UTC, Hannesh Holzer
Details
XLSX file whihc contain Strikethrough text (8.48 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-02-06 19:27 UTC, Hannesh Holzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hannesh Holzer 2015-02-06 13:13:22 UTC
Created attachment 113177 [details]
Comparison XLSX vs. ODS when opening from XLSX

Dear Libre Office Developers, 

We migrate with arround 500 People from our company to Libre Office. 
Finally everything went´s well except one thing: 

We get XLSX Files from our clients were they strikeout specific texts in cells. 
If we open the Files with Libre Office Calc the strikethough texts from XLSX are not visible. 

If the whole Text in the cell is stikethrough in XLSX it it will be displayed properly. 
If only one part of the Text is stikethrough in XLSX it is not visible. 

This happen only for XLSX Files, For XLS it work also with single Strikethrough Texts in cells.
Also it goes across all versions of Libre Office up to the newest one, i tested now 4.2.8 and 4.4

It seems to be a small issue, but for our company it means we have to switch back to MS Office if there is no solution in front...


Thanks for providing this great software and looking forward!
Regards Hannes
Comment 1 raal 2015-02-06 13:59:16 UTC
*** Bug 89171 has been marked as a duplicate of this bug. ***
Comment 2 raal 2015-02-06 14:00:38 UTC
*** Bug 89172 has been marked as a duplicate of this bug. ***
Comment 3 raal 2015-02-06 14:07:56 UTC
Hello Hannesh,

Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 

(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 4 Hannesh Holzer 2015-02-06 19:27:36 UTC
Created attachment 113188 [details]
XLSX file whihc contain Strikethrough text

Please find attached the XLSX Document whihc contain strikethrough Text in the cells. 
-in the first row in the whole cell the text is strikethought. 
-in the secound row there is only one word of the text from the cell formated with strikethourgh. 
You are not able to visualize the strikethourgh content in row 2 with any version of Calc from Libre Office
Comment 5 raal 2015-02-06 20:23:04 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 40432ac6caa478474d73786f95b808c14e106ff2
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-02-03_01:24:42

Works OK in LO 3.5 -> regression
Comment 6 Rostislav 'R.Yu.' Okulov 2015-02-06 21:17:14 UTC
git bisect start
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect bad 423a84c4f7068853974887d98442bc2a2d0cc91b
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect bad 8ad82bc1416a07501651e8d96fe268e47d3931d3
# bad: [238338bc4111eb82429ea47384d4012bcd7cdc3e] source-hash-b6ba04639b9922f6717f79ac4be215e09691d7a9
git bisect bad 238338bc4111eb82429ea47384d4012bcd7cdc3e
# bad: [89dc8a802d1625e0efd88ba0fb720b22be87f3f0] source-hash-da03bb1ee6a69d2f4fef4c3ca0adc0ba9588bd19
git bisect bad 89dc8a802d1625e0efd88ba0fb720b22be87f3f0
# bad: [fe956dc63cc7ed1831f0e7e9e7253ea4d8c99549] source-hash-b15f095293c6127ecaef2f0fa3a1683e72392835
git bisect bad fe956dc63cc7ed1831f0e7e9e7253ea4d8c99549
# bad: [cd762eb968ba8783f726b67d9d70b0a76f4eb55d] source-hash-c9562064740baed3a9978723c5fe77b44a13a7aa
git bisect bad cd762eb968ba8783f726b67d9d70b0a76f4eb55d
# good: [85835eaea0e00bbe3138486781a507e436bc9263] source-hash-6978ddbf4738b4c53b9d2edbe6d5ad6a061d0d0f
git bisect good 85835eaea0e00bbe3138486781a507e436bc9263
# first bad commit: [cd762eb968ba8783f726b67d9d70b0a76f4eb55d] source-hash-c9562064740baed3a9978723c5fe77b44a13a7aa

cd762eb968ba8783f726b67d9d70b0a76f4eb55d is the first bad commit
commit cd762eb968ba8783f726b67d9d70b0a76f4eb55d
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 16 04:32:25 2013 +0000

    source-hash-c9562064740baed3a9978723c5fe77b44a13a7aa
    
    commit c9562064740baed3a9978723c5fe77b44a13a7aa
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Tue Jan 22 08:54:33 2013 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue Jan 22 16:29:39 2013 +0000
    
        make GetAccessibleRelationMemberOf use SetAccessibleRelationMemberOf values
    
        Change-Id: Ia413ac220c8d942576c29be6238c75c5061ec156

:100644 100644 e0fb278a62f74246d4e7e854edda75a50c5d8910 6ec2e182895bf6b77f286634aba1c62bfaf701cd M      ccache.log
:100644 100644 defa53e2eb21f85369551cb7bd33a41411af7206 b1baeaaef7c598fe40d6fbecfb6f5a790f9cd317 M      commitmsg
:100644 100644 92cecd1d285b4493c39b38e636f7b560f40eb5ed f0c98be696238ffc7a2fe8144be3d4fc4168502f M      dev-install.log
:100644 100644 df30eda7f3b88b3394c69c749e2460d95f41fa55 040afe7b74aa2b620a95ea8f82cade8608495403 M      make.log
:040000 040000 21a7f395a23b3d284ea834b61bd8935a85d48b99 782894508ae3313762f41edc7cc4478fc0f41f3b M      opt
Comment 7 Hannesh Holzer 2015-02-09 08:26:12 UTC
Dear Libre Office Developer, 

iám really impressed about the fast answers for reporting bugs. 

What can i report to my management now:
Will this bug fixed in near future and in which version would this happen? 

Looking forward to your answer. 

Thank You!
Regards Hannes
Comment 8 raal 2015-02-09 16:28:40 UTC
(In reply to Hannesh Holzer from comment #7)
> Dear Libre Office Developer, 
> 
> iám really impressed about the fast answers for reporting bugs. 
> 
> What can i report to my management now:
> Will this bug fixed in near future and in which version would this happen? 

Hello,
it's unsure when the bug will be fixed. If your company needs this fix ASAP, you can hire a developer from company which provide commercial support, see here https://www.documentfoundation.org/certification

Regards
R.
Comment 9 Matthew Francis 2015-02-22 05:36:39 UTC
This seems to be the specific commit

Adding Cc: to nopower@novell.com; Any chance you could take a look at this? Thanks


commit f54ce3e7f6d6aab7e34c54ad8eff06650e076fef
Author: Noel Power <noel.power@suse.com>
Date:   Tue Jan 22 11:58:20 2013 +0000

    lose uno api for font related xlsx import
    
    also fixes a bug where the font format of the first portion of a rich text string
    gets to be set as the default cell style for that cell
    
    Change-Id: Ib2e85e6f2a971940b94100c2bf45d85d8afa2869
Comment 10 Markus Mohrhard 2015-03-27 18:08:16 UTC
Seems like it is just a simple bug missing the handling for strike through EE attributes.
Comment 11 Commit Notification 2015-03-27 19:00:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8dd2888ac75c2c2ee9ca0ed0c6abda4dab7420cc

we need to use the edit engine attibute id for rich text, tdf#89170

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-03-27 19:00:05 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b7d51af074aa1c4616a6f411892974cc28d2e00

add test for tdf#89170

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Rostislav 'R.Yu.' Okulov 2015-03-29 12:05:26 UTC
Please backport this one line patch to 4.3 and 4.4.
Comment 14 Hannesh Holzer 2015-03-30 08:21:23 UTC
Thank you very much
You save my day.
Looking to version 4.5

Thanks, 
Hannes
Comment 15 Commit Notification 2015-04-04 13:37:52 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79156011a5fb4383a6b61aa0590d52c24ad6b154&h=libreoffice-4-4

we need to use the edit engine attibute id for rich text, tdf#89170

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Michael Stahl (CIB) 2015-09-15 17:43:09 UTC
4.3 is EOL, removing "backportrequest"
Comment 17 MM 2015-10-06 17:10:05 UTC
*** Bug 94825 has been marked as a duplicate of this bug. ***
Comment 18 Robinson Tryon (qubit) 2015-12-17 08:46:22 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]